## org.eclipse.uml2.uml.util
Class UMLUtil.StereotypeApplicationHelper

    java.lang.Object
      org.eclipse.uml2.uml.util.UMLUtil.StereotypeApplicationHelper

Enclosing class:
  UMLUtil

    public static class UMLUtil.StereotypeApplicationHelper

extends java.lang.Object

The StereotypeApplicationHelper can be overridden to change the default location of applied stereotypes. Typically, stereotype applications are placed in the same location as the element to which the stereotype is applied, however, stereotype applications may be placed in other resources.

Since:
  3.0

Field Summary
`static UMLUtil.StereotypeApplicationHelper` `INSTANCE`

Constructor Summary
`UMLUtil.StereotypeApplicationHelper()`

Method Summary
`org.eclipse.emf.ecore.EObject` `applyStereotype(Element element, org.eclipse.emf.ecore.EClass definition)`
`protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `getContainmentList(Element element, org.eclipse.emf.ecore.EClass definition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UMLUtil.StereotypeApplicationHelper INSTANCE

Constructor Detail

### UMLUtil.StereotypeApplicationHelper

    public UMLUtil.StereotypeApplicationHelper()

Method Detail

### getContainmentList

    protected org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> getContainmentList(Element element,
                                                                                                  org.eclipse.emf.ecore.EClass definition)

### applyStereotype

    public org.eclipse.emf.ecore.EObject applyStereotype(Element element,
                                                         org.eclipse.emf.ecore.EClass definition)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.